package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;

@ApiModel(value="机构与列的展示关系")
public class DilRoleOrgcodeTable implements IBasePO<BigDecimal> {
    /**
     * 主键ID(PRIMARY_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal primaryId;

    /**
     * 机构关系(ORG_CODE,VARCHAR,200)
     */
    @ApiModelProperty(value="机构关系",required=false)
    private String orgCode;

    /**
     * 用户名称(USER_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="用户名称",required=false)
    private String userName;

    /**
     * 列ID(COLUMN_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="列ID",required=false)
    private BigDecimal columnId;

    /**
     * 方案名称(PRIMARY_NAME,VARCHAR,200)
     */
    @ApiModelProperty(value="方案名称",required=false)
    private String primaryName;

    /**
     * 启用状态,0 未启用；1，启用(ENABLE_STATUS,DECIMAL,0)
     */
    @ApiModelProperty(value="启用状态,0 未启用；1，启用",required=false)
    private BigDecimal enableStatus;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.primaryId;
    }

    @Override
    public void setId(BigDecimal primaryId) {
        this.primaryId = primaryId;
    }

    public BigDecimal getPrimaryId() {
        return primaryId;
    }

    public void setPrimaryId(BigDecimal primaryId) {
        this.primaryId = primaryId;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode == null ? null : orgCode.trim();
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName == null ? null : userName.trim();
    }

    public BigDecimal getColumnId() {
        return columnId;
    }

    public void setColumnId(BigDecimal columnId) {
        this.columnId = columnId;
    }

    public String getPrimaryName() {
        return primaryName;
    }

    public void setPrimaryName(String primaryName) {
        this.primaryName = primaryName == null ? null : primaryName.trim();
    }

    public BigDecimal getEnableStatus() {
        return enableStatus;
    }

    public void setEnableStatus(BigDecimal enableStatus) {
        this.enableStatus = enableStatus;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", primaryId=").append(primaryId);
        sb.append(", orgCode=").append(orgCode);
        sb.append(", userName=").append(userName);
        sb.append(", columnId=").append(columnId);
        sb.append(", primaryName=").append(primaryName);
        sb.append(", enableStatus=").append(enableStatus);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}